//
//  ViewController.m
//  Student Sign Out
//
//  Created by Mark Hunte on 11/08/2015.
//  Copyright (c) 2015 Mark Hunte. All rights reserved.
//

#import "ViewController.h"

@implementation ViewController
 NSString * theReturnedFileName;
NSUserDefaults *defaults;
NSURL *fileURL;







-(void) awakeFromNib {
   
    
     @try {
         
         //
         
        NSApplicationPresentationOptions options = NSApplicationPresentationHideMenuBar + NSApplicationPresentationHideDock +  NSApplicationPresentationDisableHideApplication +  NSApplicationPresentationDisableProcessSwitching;
        [NSApp setPresentationOptions:options];
    }
    @catch(NSException * exception) {
        NSLog(@"Error.  Make sure you have a valid combination of options.");
    }
    
   
  // [_windowC1   toggleFullScreen:self];
   
}



- (void)viewDidLoad {
     defaults = [NSUserDefaults standardUserDefaults];
   fileURL = [defaultURL  getDefualtFilePath];
    
   // NSLog(@"isDefualtedVIEWC %hhd", [defaultURL getIsDefualted]);
    
    if ([defaultURL getIsDefualted]) {
        _thePopoverButton.state =  NSOnState;
        [_thePopoverButton setButtonType:NSPushOnPushOffButton];
    }else {
        [_thePopoverButton setButtonType:NSMomentaryLightButton];
        
        _thePopoverButton.state =  NSOffState;
    }
    
    [super viewDidLoad];
   
    
    
    _webView1 = [[WKWebView alloc] initWithFrame:self.container1.bounds  configuration:[[WKWebViewConfiguration alloc] init]];
    
    [self.container1 addSubview:_webView1];
    
    _webView1.wantsLayer = YES;
    
    
    
    /*  SET WKWEBVIEW CONSTRAINTS TO FOLLOW WINDOW SIZE  */
    
   NSLayoutConstraint *  constraintTop = [NSLayoutConstraint constraintWithItem:_webView1 attribute:NSLayoutAttributeTop relatedBy:NSLayoutRelationEqual toItem:self.container1 attribute:NSLayoutAttributeTop multiplier:1.0f constant:19.f];
    
    
    NSLayoutConstraint *  constraintBottom = [NSLayoutConstraint constraintWithItem:_webView1 attribute:NSLayoutAttributeBottom relatedBy:NSLayoutRelationEqual toItem:self.container1 attribute:NSLayoutAttributeBottom multiplier:1.0f constant:0.f];
    
    NSLayoutConstraint *  constraintLeading= [NSLayoutConstraint constraintWithItem:_webView1 attribute: NSLayoutAttributeLeading relatedBy:NSLayoutRelationEqual toItem:self.container1 attribute:NSLayoutAttributeLeading multiplier:1.0f constant:0.f];
    
    NSLayoutConstraint *  constraintTrailing= [NSLayoutConstraint constraintWithItem:_webView1 attribute: NSLayoutAttributeTrailing relatedBy:NSLayoutRelationEqual toItem:self.container1 attribute:NSLayoutAttributeTrailing multiplier:1.0f constant:0.f];
    
     [self.container1 addConstraint:constraintTrailing];
    
    [self.container1 addConstraint:constraintLeading];
      [self.container1 addConstraint:constraintTop];
     [self.container1 addConstraint:constraintBottom];
    
     [_webView1  setTranslatesAutoresizingMaskIntoConstraints: NO];
    
    
    //-- LOAD THE PAGE
    
    [_webView1 loadRequest:[[NSURLRequest alloc] initWithURL:fileURL]];
   
    //-- SWELL TO FULLSCREEN
   // [NSApp activateIgnoringOtherApps:true];
    
   [self  performSelector:@selector(enterFullScreen) withObject:nil afterDelay:1]; //--NEW
    
    
}
- (void)windowDidExitFullScreen:(NSNotification *)notification{
     [self enterFullScreen];
    
}

- (void)enterFullScreen
{
    
    dispatch_async(dispatch_get_main_queue(), ^(void){
         [_windowC1   toggleFullScreen:self];
    });
   
}

- (void)windowDidBecomeMain:(NSNotification *)notification
{
   // [self enterFullScreen];  //--NEW
}

- (void)setRepresentedObject:(id)representedObject {
    [super setRepresentedObject:representedObject];

    
}


- (IBAction)chooseHTML:(id)sender {
    
     NSURL *fileURL2  = [getAFile getFileName];
    
   
    
    
    [_webView1 loadRequest:[[NSURLRequest alloc] initWithURL:fileURL2]];
    
    
    [defaults setURL:  fileURL2   forKey:@"pageURL"];
    [defaults  synchronize];
    
    // NSLog(@"fileURL2 =%@",fileURL2);
    
  
    
}

- (void)  windowWillExitFullScreen:(NSNotification *)notification{
   
    [self enterFullScreen];
    
}


@end
